Bug 1915705 - katello_events and candlepin_events intermittently showing as not started
Summary: katello_events and candlepin_events intermittently showing as not started
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.8.0
Hardware: All
OS: All
medium
medium vote
Target Milestone: 6.10.0
Assignee: Jeremy Lenz
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 09:54 UTC by Ranjan Kumar
Modified: 2021-11-16 14:09 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1943257 (view as bug list)
Environment:
Last Closed: 2021-11-16 14:09:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31740 0 Normal Closed katello_events and candlepin_events intermittently showing as not started 2021-02-09 17:57:46 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:09:55 UTC

Description Ranjan Kumar 2021-01-13 09:54:22 UTC
Description of problem: Observed failure in katello_envent and candlepin_event while running hammer ping every 5 minutes 

katello_events full message {u'Status': u'FAIL', u'Server Response': u'Duration: 3ms', u'message': u'Not running'}
candlepin_events full message {u'Status': u'FAIL', u'Server Response': u'Duration: 0ms', u'message': u'Not running'}

After looking into the logs, I can see the following in the log during the failure
~~~
2021-01-08T03:55:02 [I|kat|] Stopping Katello Event Monitor
2021-01-08T09:38:33 [I|kat|] Stopping Katello Event Monitor
<truncated>
2021-01-08T09:49:08 [I|kat|] Stopping Katello Event Monitor
2021-01-08T10:34:43 [I|kat|] Stopping Katello Event Monitor
~~~
Detailed log during the failure
~~~
2021-01-08T10:34:43 [I|kat|] Stopping Katello Event Monitor
2021-01-08T10:34:43 [I|dyn|] start terminating throttle_limiter...
2021-01-08T10:34:43 [I|dyn|] start terminating client dispatcher...
2021-01-08T10:34:43 [I|dyn|] stop listening for new events...
2021-01-08T10:34:43 [I|dyn|] start terminating clock...
~~~

Version-Release number of selected component (if applicable): 6.8.2

Actual results: katello and candlepin events fails in hammer ping


Expected results: katello and candlepin events should not fail


Additional info:

Comment 5 Jeremy Lenz 2021-01-27 17:53:44 UTC
Created redmine issue https://projects.theforeman.org/issues/31740 from this bug

Comment 6 Bryan Kearney 2021-01-31 06:53:53 UTC
Upstream bug assigned to jlenz

Comment 7 Bryan Kearney 2021-01-31 06:53:55 UTC
Upstream bug assigned to jlenz

Comment 9 Bryan Kearney 2021-02-03 18:44:51 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31740 has been resolved.

Comment 10 Jonathon Turel 2021-03-09 15:07:33 UTC
Untriaged and proposing for 6.9.0 since it's blocking testing of the pulp3 content migration and could pose problems to users

Comment 11 Jonathon Turel 2021-03-09 15:09:54 UTC
Content migration bug for reference: https://bugzilla.redhat.com/show_bug.cgi?id=1934258

Comment 12 Jonathon Turel 2021-03-10 15:15:24 UTC
It turns out that the content migration issue was not related to this, but another BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1937403

For that reason I've downgraded this from a 6.9.0 proposal to 6.9.z

Comment 17 errata-xmlrpc 2021-11-16 14:09:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.